set terminal postscript eps enhanced color solid rounded linewidth 1
set datafile separator '\t'
set size 0.45,0.45
set style data histogram
set style histogram cluster gap 1
set style fill solid noborder
set xrange [-1.02:1.02]

set xlabel "Polarity"
set ylabel "# Sources"

set output 'sources_0.08_0.1_0.0_0.66.eps'
plot 'sources_0.08_0.1_0.0_0.66.csv' u 1 bins=50 with boxes lc rgb "#fc9272" notitle,\
'sources_0.08_0.1_0.0_0.66.csv' u 2 bins=50 with boxes lc rgb "#de2d26" notitle

set ylabel "# Users"
set output 'users_0.08_0.1_0.0_0.66.eps'
plot 'users_0.08_0.1_0.0_0.66.csv' u 2 bins=50 with boxes lc rgb "#9ecae1" notitle,\
'users_0.08_0.1_0.0_0.66.csv' u 3 bins=50 with boxes lc rgb "#3182bd" notitle

set ylabel "StDev"
set xlabel "Step"
set output 'runs_0.08_0.1_0.0_0.66.eps'
set xrange [0:100]
set yrange [0:]
set key bottom right
plot 'runs_0.08_0.1_0.0_0.66.csv' u 1:3 w lines lw 4 lc rgb "#377eb8" t "Users",\
'runs_0.08_0.1_0.0_0.66.csv' u 1:5 w lines lw 4 lc rgb "#e41a1c" t "Sources"
