import pandas as pd

rho_users = {}
rho_sources ={}
for rho in (0.06, 0.07, 0.08, 0.1):
   users = []
   sources = []
   for phi in (0.1, 0.2, 0.3, 0.5):
      for gamma in (0.0, 0.1, 0.2, 0.4):
         for sigma in (1.0, 1.5, 2.0, 10.0):
            users.append(pd.read_csv(f"../processed_results/users/{rho}_{phi}_{gamma}_{sigma}.csv", sep = "\t"))
            sources.append(pd.read_csv(f"../processed_results/sources/{rho}_{phi}_{gamma}_{sigma}.csv", sep = "\t"))
   rho_users[rho] = pd.concat(users)
   rho_sources[rho] = pd.concat(sources)

with open("rho_flags_polarization.csv", 'w') as f:
   f.write("rho\tflags\tusrstd\tsrcstd\n")
   for rho in rho_users:
      f.write(f"{rho}\t{rho_sources[rho]['flags'].mean()}\t{rho_users[rho]['final_polarity'].std()}\t{rho_sources[rho]['final_polarity'].std()}\n")
