import pandas as pd

phi_sources ={}
for phi in (0.1, 0.2, 0.3, 0.5):
   sources = []
   for rho in (0.06, 0.07, 0.08, 0.1):
      for gamma in (0.0, 0.1, 0.2, 0.4):
         for sigma in (1.0, 1.5, 2.0, 10.0):
            sources.append(pd.read_csv(f"../processed_results/sources/{rho}_{phi}_{gamma}_{sigma}.csv", sep = "\t"))
   phi_sources[phi] = pd.concat(sources)

with open("phi_flags.csv", 'w') as f:
   f.write("phi\tflags\n")
   for phi in phi_sources:
      f.write(f"{phi}\t{phi_sources[phi]['flags'].mean()}\n")
