import pandas as pd

gamma_users = {}
gamma_sources = {}
for gamma in (0.0, 0.1, 0.2, 0.4):
   users = []
   sources = []
   for rho in (0.06, 0.07, 0.08, 0.1):
      for phi in (0.1, 0.2, 0.3, 0.5):
         for sigma in (1.0, 1.5, 2.0, 10.0):
            users.append(pd.read_csv(f"../processed_results/users/{rho}_{phi}_{gamma}_{sigma}.csv", sep = "\t"))
            sources.append(pd.read_csv(f"../processed_results/sources/{rho}_{phi}_{gamma}_{sigma}.csv", sep = "\t"))
   gamma_users[gamma] = pd.concat(users)
   gamma_sources[gamma] = pd.concat(sources)

with open("gamma_polarization.csv", 'w') as f:
   f.write("gamma\tpoldiff\tusrdiff\n")
   for gamma in gamma_sources:
      gamma_sources[gamma]["poldiff"] = (gamma_sources[gamma]["final_polarity"] - gamma_sources[gamma]["initial_polarity"]).abs()
      gamma_users[gamma]["poldiff"] = (gamma_users[gamma]["final_polarity"] - gamma_users[gamma]["initial_polarity"]).abs()
      f.write(f"{gamma}\t{gamma_sources[gamma]['poldiff'].mean()}\t{gamma_users[gamma]['poldiff'].mean()}\n")
      gamma_sources[gamma]["poldiff"] = gamma_sources[gamma]["poldiff"].round(1)
      gamma_sources[gamma] = gamma_sources[gamma].groupby(by = "poldiff").size().reset_index().rename(columns = {0: "count"})
      gamma_sources[gamma].to_csv(f"gamma_polarization_{gamma}.csv", index = False, sep = "\t")


