import pandas as pd

runs = []
for gamma in (0.0, 0.1, 0.2, 0.4):
   for rho in (0.06, 0.07, 0.08, 0.1):
      for phi in (0.1, 0.2, 0.3, 0.5):
         for sigma in (1.0, 1.5, 2.0, 10.0):
            runs.append(pd.read_csv(f"../processed_results/runs/{rho}_{phi}_{gamma}_{sigma}.csv", sep = "\t"))

runs = pd.concat(runs)
runs = runs.groupby(by = "step").mean().reset_index()

runs.to_csv("convergence.csv", index = False, sep = "\t")
