import glob
import numpy as np
import pandas as pd
from scipy.stats import wasserstein_distance

with open("comparison.csv", 'w') as f:
   f.write("params\trun\tusr_diff\tusr_diff_norm\tusr_diff_unif\tsrc_diff\tsrc_diff_norm\tsrc_diff_unif\n")
   for txt in glob.glob("results/*/users_*.csv"):
      params = txt.split('/')[1]
      run = txt.split('_')[-1].split('.')[0]
      usr_new = pd.read_csv(f"results/{params}/users_{run}.csv", sep = "\t")
      usr_old = pd.read_csv(f"../results/{params}/users_{run}.csv", sep = "\t")
      src_new = pd.read_csv(f"results/{params}/sources_{run}.csv", sep = "\t")
      src_old = pd.read_csv(f"../results/{params}/sources_{run}.csv", sep = "\t")
      line = []
      line.append(params)
      line.append(run)
      line.append(wasserstein_distance(usr_new["final_polarity"], usr_old["final_polarity"]))
      line.append(wasserstein_distance(usr_old["final_polarity"], np.random.normal(scale = 0.33, size = usr_old.shape[0])))
      line.append(wasserstein_distance(usr_old["final_polarity"], np.random.uniform(low = -1, high = 1, size = usr_old.shape[0])))
      line.append(wasserstein_distance(src_new["final_polarity"], src_old["final_polarity"]))
      line.append(wasserstein_distance(src_old["final_polarity"], np.random.normal(scale = 0.33, size = src_old.shape[0])))
      line.append(wasserstein_distance(src_old["final_polarity"], np.random.uniform(low = -1, high = 1, size = src_old.shape[0])))
      f.write("%s\n" % '\t'.join([str(x) for x in line]))

