import glob
import numpy as np
import pandas as pd
from sklearn.neighbors import KernelDensity

df2 = pd.DataFrame()
df2["polarity"] = np.array([(_ - 100) / 100 for _ in range(201)])
for step in range(len(glob.glob("steps/sources_*.csv"))):
   df = pd.read_csv(f"steps/sources_{step}.csv", sep = "\t")
   kde = KernelDensity(kernel = "gaussian", bandwidth = 0.05).fit(np.array(df["polarity"]).reshape(-1, 1))
   df2[step] = np.exp(kde.score_samples(np.array(df2["polarity"]).reshape(-1, 1)))

df2.to_csv("source_polarity.csv", sep = "\t", index = False)

df2 = pd.DataFrame()
df2["polarity"] = np.array([(_ - 100) / 100 for _ in range(201)])
for step in range(len(glob.glob("steps/users_*.csv"))):
   df = pd.read_csv(f"steps/users_{step}.csv", sep = "\t")
   kde = KernelDensity(kernel = "gaussian", bandwidth = 0.05).fit(np.array(df["polarity"]).reshape(-1, 1))
   df2[step] = np.exp(kde.score_samples(np.array(df2["polarity"]).reshape(-1, 1)))

df2.to_csv("user_polarity.csv", sep = "\t", index = False)



